MONGOC_CLIENT_SESSION_GET_OPERATION_TIME(3)

NAME
mongoc_client_session_get_operation_time - mongoc_client_session_get_operation_time()

SYNOPSIS

        void
        mongoc_client_session_get_operation_time (const mongoc_client_session_t *session,
                                                  uint32_t *timestamp,
                                                  uint32_t *increment);

Get the session's operationTime, expressed as a BSON Timestamp with timestamp and increment components. If the session has not been used for any operations, the timestamp and increment are 0.

PARAMETERS

    •   session: A mongoc_client_session_t.

    •   timestamp: A pointer to a uint32_t to receive the timestamp component.

    •   increment: A pointer to a uint32_t to receive the increment component.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc